using EVCB_OCPP.Packet.Messages.SmartCharging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.SmartCharging
{
    public class SetChargingProfileFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.SetChargingProfile.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(SetChargingProfileConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(SetChargingProfileRequest);
        }
    }
}
